Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.schema
Class MappedFeatureTypeReference

    java.lang.Object
      org.deegree.io.datastore.schema.MappedFeatureTypeReference

    public class MappedFeatureTypeReference

extends Object

Represents a reference to a `MappedFeatureType`.

The reference may be resolved or not. If it is resolved, the referenced `MappedFeatureType` is accessible, otherwise only the name of the type is available.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`MappedFeatureTypeReference(QualifiedName featureTypeName)` Creates an unresolved `MappedFeatureTypeReference`.

Method Summary
`MappedFeatureType` | `getFeatureType()` Returns the referenced `MappedFeatureType`.
`QualifiedName` | `getName()` Returns the name of the referenced `MappedFeatureType`.
`boolean` | `isResolved()` Returns true, if the reference has been resolved.
`void` | `resolve(MappedFeatureType featureType)` Sets the referenced `MappedFeatureType` instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedFeatureTypeReference

    public MappedFeatureTypeReference(QualifiedName featureTypeName)

  Creates an unresolved `MappedFeatureTypeReference`.

  Parameters:
    `featureTypeName` -

Method Detail

### getName

    public QualifiedName getName()

  Returns the name of the referenced `MappedFeatureType`.

  Returns:
    the name of the referenced feature type

### isResolved

    public boolean isResolved()

  Returns true, if the reference has been resolved.

  If this method returns true, `getFeatureType()` will return the correct `MappedFeatureType` instance.

  Returns:
    true, if the reference has been resolved, false otherwise

### getFeatureType

    public MappedFeatureType getFeatureType()

  Returns the referenced `MappedFeatureType`.

  This method will only return the correct `MappedFeatureType` instance, if the reference has been resolved by a call to `resolve(MappedFeatureType)`.

  Returns:
    the referenced feature type, or null if it has not been resolved

### resolve

    public void resolve(MappedFeatureType featureType)

  Sets the referenced `MappedFeatureType` instance.

  Parameters:
    `featureType` -
  Throws:
    `RuntimeException` - if the reference has been resolved already

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org